Index: src/UIElements/CommandLineUI/CommandLineParser.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineParser.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/CommandLineUI/CommandLineParser.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -39,4 +39,6 @@
 
 #include "CodePatterns/Singleton_impl.hpp"
+
+using namespace MoleCuilder;
 
 class element;
Index: src/UIElements/CommandLineUI/CommandLineParser.hpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineParser.hpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/CommandLineUI/CommandLineParser.hpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -24,7 +24,9 @@
 #include <map>
 
-class Action;
-class CommandLineParser_ActionRegistry_ConsistencyTest;
-class OptionTrait;
+namespace MoleCuilder {
+  class Action;
+  class OptionTrait;
+}
+class CommandLineParser_ActionRegistry_ConsistenyTest;
 
 /** This class is a wrapper for boost::program_options.
@@ -84,5 +86,5 @@
 
   // adds options to the parser
-  void AddOptionToParser(const OptionTrait * const currentOption, po::options_description* OptionList);
+  void AddOptionToParser(const MoleCuilder::OptionTrait * const currentOption, po::options_description* OptionList);
 
   // creates a map from short forms to action tokens needed to parse command line
Index: src/UIElements/CommandLineUI/CommandLineStatusIndicator.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineStatusIndicator.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/CommandLineUI/CommandLineStatusIndicator.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -26,5 +26,5 @@
 #include "Actions/Process.hpp"
 
-using namespace std;
+using namespace MoleCuilder;
 
 CommandLineStatusIndicator::CommandLineStatusIndicator() :
@@ -46,7 +46,7 @@
     if(proc->getMaxSteps()>0){
       if(!proc->doesStop()){
-        cout << "Busy (" << proc->getName() << ") ";
+        std::cout << "Busy (" << proc->getName() << ") ";
         // we can show a percentage done
-        cout << (int)proc->getDoneRatio() << "% done" << endl;
+        std::cout << (int)proc->getDoneRatio() << "% done" << std::endl;
       }
     }
@@ -54,11 +54,11 @@
       // we only show some kind of busy animation
       if(proc->doesStart()){
-        cout << "Busy (" << proc->getName() << ")";
+        std::cout << "Busy (" << proc->getName() << ")";
       }
       if(!proc->doesStop()){
-        cout << ".";
+        std::cout << ".";
       }
       else {
-        cout << endl;
+        std::cout << std::endl;
       }
     }
Index: src/UIElements/CommandLineUI/CommandLineWindow.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineWindow.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/CommandLineUI/CommandLineWindow.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -35,5 +35,5 @@
 #include <iostream>
 
-using namespace std;
+using namespace MoleCuilder;
 
 // TODO: see what code can be moved to a base class for Graphic and CommandLine Windows
Index: src/UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -30,5 +30,4 @@
 #include "CodePatterns/Verbose.hpp"
 #include "World.hpp"
-#include "Box.hpp"
 
 using namespace std;
Index: src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -24,6 +24,6 @@
 #include "CodePatterns/Log.hpp"
 #include "CodePatterns/Verbose.hpp"
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -24,6 +24,6 @@
 #include "CodePatterns/Log.hpp"
 #include "CodePatterns/Verbose.hpp"
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/CommandLineUI/TypeEnumContainer.cpp
===================================================================
--- src/UIElements/CommandLineUI/TypeEnumContainer.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/CommandLineUI/TypeEnumContainer.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -34,5 +34,5 @@
 #include "LinearAlgebra/BoxVector.hpp"
 #include "LinearAlgebra/Vector.hpp"
-#include "element.hpp"
+#include "Element/element.hpp"
 #include "molecule.hpp"
 #include "RandomNumbers/RandomNumberDistribution_Parameters.hpp"
Index: src/UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.cpp
===================================================================
--- src/UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -30,4 +30,6 @@
 
 #include "CommandLineParser_ActionRegistry_ConsistencyUnitTest.hpp"
+
+using namespace MoleCuilder;
 
 #ifdef HAVE_TESTRUNNER
Index: src/UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.hpp
===================================================================
--- src/UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.hpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.hpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -17,7 +17,9 @@
 #include <cppunit/extensions/HelperMacros.h>
 
+class CommandLineParser;
 
-class ActionRegistry;
-class CommandLineParser;
+namespace MoleCuilder {
+  class ActionRegistry;
+}
 
 /********************************************** Test classes **************************************/
@@ -35,5 +37,5 @@
 
 private:
-      ActionRegistry *AR;
+      MoleCuilder::ActionRegistry *AR;
       CommandLineParser *CLP;
 };
Index: src/UIElements/MainWindow.hpp
===================================================================
--- src/UIElements/MainWindow.hpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/MainWindow.hpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -15,10 +15,4 @@
 
 
-class MoleculeListClass;
-class config;
-class periodentafel;
-
-class Menu;
-
 class MainWindow
 {
Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Makefile.am	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -264,8 +264,12 @@
 	libMolecuilderActionPrototypes.la \
 	libMolecuilderActions.la \
+	libMolecuilderAnalysis.la \
 	libMolecuilderGraph.la \
 	libMolecuilder.la \
+	libMolecuilderFragmentation.la \
 	libMolecuilderParser.la \
 	libMolecuilderShapes.la \
+	libMolecuilderHelpers.la \
+	libMolecuilderElement.la \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	libMolecuilderRandomNumbers.la \
Index: src/UIElements/Menu/Menu.cpp
===================================================================
--- src/UIElements/Menu/Menu.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Menu/Menu.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -26,4 +26,6 @@
 #include "Actions/ActionTraits.hpp"
 #include "Menu/Menu.hpp"
+
+using namespace MoleCuilder;
 
 /** Constructor of class Menu.
Index: src/UIElements/Menu/Qt4/QtMenuPipe.cpp
===================================================================
--- src/UIElements/Menu/Qt4/QtMenuPipe.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Menu/Qt4/QtMenuPipe.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -27,4 +27,6 @@
 #include "Actions/Action.hpp"
 
+using namespace MoleCuilder;
+
 QtMenuPipe::QtMenuPipe(const std::string &_ActionName, QAction *_action) :
     ActionName(_ActionName), theAction(_action)
Index: src/UIElements/Menu/TextMenu/ActionMenuItem.cpp
===================================================================
--- src/UIElements/Menu/TextMenu/ActionMenuItem.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Menu/TextMenu/ActionMenuItem.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -26,5 +26,5 @@
 #include "Actions/ActionRegistry.hpp"
 
-using namespace std;
+using namespace MoleCuilder;
 
 ActionMenuItem::ActionMenuItem(char _trigger, const std::string &_description,TxMenu* const _menu,const std::string &_ActionName)
Index: src/UIElements/Menu/TextMenu/ActionMenuItem.hpp
===================================================================
--- src/UIElements/Menu/TextMenu/ActionMenuItem.hpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Menu/TextMenu/ActionMenuItem.hpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -18,5 +18,7 @@
 #include "Menu/TextMenu/MenuItem.hpp"
 
-class Action;
+namespace MoleCuilder {
+  class Action;
+}
 class TxMenu;
 
Index: src/UIElements/Menu/TextMenu/TxMenuLeaveAction.cpp
===================================================================
--- src/UIElements/Menu/TextMenu/TxMenuLeaveAction.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Menu/TextMenu/TxMenuLeaveAction.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -24,4 +24,6 @@
 #include "Menu/TextMenu/TxMenuLeaveAction.hpp"
 #include "CodePatterns/Assert.hpp"
+
+using namespace MoleCuilder;
 
 /** Constructor for class TxMenu::LeaveAction.
Index: src/UIElements/Menu/TextMenu/TxMenuLeaveAction.hpp
===================================================================
--- src/UIElements/Menu/TextMenu/TxMenuLeaveAction.hpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Menu/TextMenu/TxMenuLeaveAction.hpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -18,4 +18,6 @@
 #include "Actions/Action.hpp"
 #include "Actions/ActionTraits.hpp"
+
+using namespace MoleCuilder;
 
 /** This specific action is used to leave a submenu and return to an upper one.
Index: src/UIElements/Menu/unittests/MenuDescription_ActionRegistry_ConsistencyUnitTest.cpp
===================================================================
--- src/UIElements/Menu/unittests/MenuDescription_ActionRegistry_ConsistencyUnitTest.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Menu/unittests/MenuDescription_ActionRegistry_ConsistencyUnitTest.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -18,5 +18,4 @@
 #endif
 
-using namespace std;
 
 #include <cppunit/CompilerOutputter.h>
@@ -29,4 +28,6 @@
 
 #include "MenuDescription_ActionRegistry_ConsistencyUnitTest.hpp"
+
+using namespace MoleCuilder;
 
 #ifdef HAVE_TESTRUNNER
Index: src/UIElements/Menu/unittests/MenuDescription_ActionRegistry_ConsistencyUnitTest.hpp
===================================================================
--- src/UIElements/Menu/unittests/MenuDescription_ActionRegistry_ConsistencyUnitTest.hpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Menu/unittests/MenuDescription_ActionRegistry_ConsistencyUnitTest.hpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -19,5 +19,7 @@
 #include "UIElements/Menu/MenuDescription.hpp"
 
-class ActionRegistry;
+namespace MoleCuilder {
+  class ActionRegistry;
+}
 
 /********************************************** Test classes **************************************/
@@ -36,5 +38,5 @@
 private:
       MenuDescription md;
-      ActionRegistry *AR;
+      MoleCuilder::ActionRegistry *AR;
 };
 
Index: src/UIElements/Qt4/Pipe/ElementQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/ElementQtQueryPipe.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Qt4/Pipe/ElementQtQueryPipe.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -24,6 +24,6 @@
 
 #include "CodePatterns/MemDebug.hpp"
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/Qt4/Pipe/ElementsQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/ElementsQtQueryPipe.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Qt4/Pipe/ElementsQtQueryPipe.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -26,6 +26,6 @@
 
 #include "CodePatterns/MemDebug.hpp"
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/Qt4/Query/ElementQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/ElementQtQuery.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Qt4/Query/ElementQtQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -27,6 +27,6 @@
 #include "UIElements/Qt4/Pipe/ElementQtQueryPipe.hpp"
 
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/Qt4/Query/ElementsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/ElementsQtQuery.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Qt4/Query/ElementsQtQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -27,6 +27,6 @@
 #include "UIElements/Qt4/Pipe/ElementsQtQueryPipe.hpp"
 
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/TextUI/Query/ElementTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/ElementTextQuery.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/TextUI/Query/ElementTextQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -26,6 +26,6 @@
 #include "CodePatterns/Log.hpp"
 #include "CodePatterns/Verbose.hpp"
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/TextUI/Query/ElementsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/ElementsTextQuery.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/TextUI/Query/ElementsTextQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -27,6 +27,6 @@
 #include "CodePatterns/Log.hpp"
 #include "CodePatterns/Verbose.hpp"
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/TextUI/TextStatusIndicator.cpp
===================================================================
--- src/UIElements/TextUI/TextStatusIndicator.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/TextUI/TextStatusIndicator.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -26,5 +26,5 @@
 #include "Actions/Process.hpp"
 
-using namespace std;
+using namespace MoleCuilder;
 
 TextStatusIndicator::TextStatusIndicator() :
@@ -46,7 +46,7 @@
     if(proc->getMaxSteps()>0){
       if(!proc->doesStop()){
-        cout << "Busy (" << proc->getName() << ") ";
+        std::cout << "Busy (" << proc->getName() << ") ";
         // we can show a percentage done
-        cout << (int)proc->getDoneRatio() << "% done" << endl;
+        std::cout << (int)proc->getDoneRatio() << "% done" << std::endl;
       }
     }
@@ -54,11 +54,11 @@
       // we only show some kind of busy animation
       if(proc->doesStart()){
-        cout << "Busy (" << proc->getName() << ")";
+        std::cout << "Busy (" << proc->getName() << ")";
       }
       if(!proc->doesStop()){
-        cout << ".";
+        std::cout << ".";
       }
       else {
-        cout << endl;
+        std::cout << std::endl;
       }
     }
Index: src/UIElements/TextUI/TextWindow.cpp
===================================================================
--- src/UIElements/TextUI/TextWindow.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/TextUI/TextWindow.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -45,8 +45,8 @@
 // all needed due to config::SaveAll()
 #include "config.hpp"
-#include "periodentafel.hpp"
+#include "Element/periodentafel.hpp"
 
-// config::SaveAll() and enumerate()
-#include "molecule.hpp"
+// needed due to Enumerate()
+#include "MoleculeListClass.hpp"
 
 #include <iostream>
Index: src/UIElements/TextUI/TextWindow.hpp
===================================================================
--- src/UIElements/TextUI/TextWindow.hpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/TextUI/TextWindow.hpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -22,5 +22,7 @@
 #include "Menu/TextMenu/TextMenu.hpp"
 
-class Action;
+namespace MoleCuilder {
+  class Action;
+}
 class StringView;
 class TextStatusIndicator;
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -33,6 +33,6 @@
 
 #include "Helpers/defs.hpp"
-#include "element.hpp"
-#include "periodentafel.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
 #include "World.hpp"
 
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -30,5 +30,5 @@
 
 #include "Descriptors/AtomIdDescriptor.hpp"
-#include "element.hpp"
+#include "Element/element.hpp"
 #include "LinearAlgebra/Vector.hpp"
 #include "World.hpp"
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -32,5 +32,5 @@
 #include "atom.hpp"
 #include "Bond/bond.hpp"
-#include "element.hpp"
+#include "Element/element.hpp"
 #include "Helpers/defs.hpp"
 #include "LinearAlgebra/Line.hpp"
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -39,4 +39,5 @@
 #include "World.hpp"
 
+using namespace MoleCuilder;
 
 GLWorldScene::GLWorldScene(QObject *parent)
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -145,7 +145,7 @@
 //#include "atom.hpp"
 //#include "Bond/bond.hpp"
-//#include "element.hpp"
+//#include "Element/element.hpp"
 //#include "molecule.hpp"
-//#include "periodentafel.hpp"
+//#include "Element/periodentafel.hpp"
 //#include "World.hpp"
 //
Index: src/UIElements/Views/Qt4/QtStatusBar.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtStatusBar.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Views/Qt4/QtStatusBar.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -33,4 +33,5 @@
 #define PLURAL_S(v) (((v)==1)?"":"s")
 
+using namespace MoleCuilder;
 
 QtStatusBar::QtStatusBar(QWidget *_parent) :
Index: src/UIElements/Views/Qt4/QtStatusBar.hpp
===================================================================
--- src/UIElements/Views/Qt4/QtStatusBar.hpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Views/Qt4/QtStatusBar.hpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -24,6 +24,9 @@
 class QLabel;
 class QProgressBar;
-class Process;
 class QBoxLayout;
+
+namespace MoleCuilder {
+  class Process;
+}
 
 class QtStatusBar : public QStatusBar, public Observer
@@ -48,5 +51,5 @@
 private:
   void redrawStatus();
-  void redrawProcess(Process *proc);
+  void redrawProcess(MoleCuilder::Process *proc);
 
   int atomCount;
@@ -55,6 +58,6 @@
   QLabel *statusLabel;
   QWidget *parent;
-  std::map<Process*,progressIndicator*> progressBars;
-  Process* activeProcess;
+  std::map<MoleCuilder::Process*,progressIndicator*> progressBars;
+  MoleCuilder::Process* activeProcess;
 };
 
Index: src/UIElements/Views/Qt4/QtWorldView.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtWorldView.cpp	(revision e6c470ccb1b2c074724b8e513510f5f939adc3af)
+++ src/UIElements/Views/Qt4/QtWorldView.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
@@ -27,4 +27,5 @@
 #include "Formula.hpp"
 #include "molecule.hpp"
+#include "MoleculeListClass.hpp"
 
 using namespace std;
